ftitAppModule.controller('loginController',
	function($scope, $log, $http, $location, Server) {
		var returnUrl = $location.path();
		// 后台数据工厂实例化
		$scope.server = new Server();
		
		//实例化用户登录参数集合
		var PhoneNo = window.localStorage.getItem("phone");
		var Passwd = window.localStorage.getItem("password");
		
		$scope.customer = {
			phone: PhoneNo == null ? "" : PhoneNo,
			password: Passwd == null ? "" : Passwd
		};

		//检查输入项
		function checkInput() {
			if ($scope.customer.PhoneNo == null) {
				showMsg("手机号码输入异常");
				return true;
			}
	
			if ($scope.customer.PhoneNo.length != 11) {
				showMsg("手机号码格式错误");
				return true;
			}
			
			if (($scope.customer.PhoneNo != null || $scope.customer.PhoneNo != "") && $scope.customer.PhoneNo.length == 11) {
				$scope.customer.phone=$scope.customer.PhoneNo;
			}
			
			if ($scope.customer.Passwd == null) {
				showMsg("密码输入异常");
				return true;
			}
			
			if ($scope.customer.Passwd != null || $scope.customer.Passwd != "") {
				$scope.customer.password=$scope.customer.Passwd;
			}
			
		};

		//实例化保存密码选项集合
		$scope.checktype = true;

		//登录验证
		$scope.LoginOptions = function() {
			if (checkInput()) {
				return;
			}

			
		 $scope.server.loginSystem(returnUrl, $scope.customer, function(result) {
				if (result.codetype == "error") {
					showMsg(result.msg);
				} else {
					window.localStorage.setItem("xiugairen","1");
					//缓存用户信息在本地
					window.localStorage.setItem("phone", result.t_user_info.phone);
					window.localStorage.setItem("password", result.t_user_info.password);
			
					if ($scope.checktype) {
						window.localStorage.setItem("password", result.t_user_info.password);
					} else {
						window.localStorage.setItem("password", "");
					}
				
					openviews('main.html',window.localStorage.getItem("phone"),window.localStorage.getItem("password"),true);
				}
				$scope.server.busy = false;
			});	
		};

		mui.back = function() {
		   openviews('main.html','main.html','',true);
	    };
	}
);