ftitAppModule.controller('ForgetpasswordController',
	function($scope, $log, $http, $location, Server) {
		var returnUrl = $location.path();
		// 后台数据工厂实例化
		$scope.server = new Server();
		//初始化验证码接受变量
		$scope.code_phone = "XXMLDSLDHSLDDLLSJDLSLSDJDJLSDJDHFUROOUEWrofnf";
		//检查手机号码输入状态
		$scope.checkPhone = function() {
			var phone = $scope.phone;
			var code = $scope.code;
			var code_phone = $scope.code_phone;
			if (phone == null) {
				showMsg("手机号码为空或者不符合输入要求");
				return true;
			};
			if (phone.toString().length != 11) {
				showMsg("手机号码不符合输入要求");
				return true;
			};
		};
		//检查验证码输入
		$scope.checkCode = function() {
			if (code == null) {
				showMsg("验证码输入异常");
				return true;
			};
			if ($scope.code != $scope.code_phone) {
				showMsg("验证码错误");
				return true;
			};
		};
		//验证码获取按钮计时器
		var times = 60;
		var timer = null;
		//获取验证码按钮状态文本
		$scope.changev = {
			checkBool: true,
			strtext: "获取验证码"
		};
		$scope.updateClock = function(checktype, strtext) {
			$scope.changev.checkBool = checktype;
			$scope.changev.strtext = strtext;
			if (times <= 0) {
				clearInterval(timer); //清除定时器
			}
		};
		$scope.changebtn = function() {
			timer = setInterval(function() {
				if (times <= 0) {
					$scope.$apply($scope.updateClock(true, "获取验证码"));
				} else {
					$scope.$apply($scope.updateClock(false, times.toString() + "后重新获取"));
				}
				times--;
			}, 1000);
		};


		// 获取验证码
		$scope.getVerificationCode = function() {
			if ($scope.checkPhone()) {
				return;
			}
			$scope.server.getVerificationCode(returnUrl, $scope.phone,
				function(result) {
					if (result.msg != "") {
						//异常处理
						showMsg(result.msg);
					} else {
						$scope.code_phone = result.code;
						//执行验证码按钮控制计时器
						$scope.changebtn();
					}
					$scope.server.busy = false;

				});
		};

		$scope.openNewPassView = function() {
			//验证电话号码
			if ($scope.checkPhone()) {
				return;
			}
			//验证验证码
			if ($scope.checkCode()) {
				return;
			}
			window.localStorage.setItem("PhoneNo", $scope.phone);
			openviews('pwd.html', 'pwd.html', {
				phone: $scope.phone
			});
		};
	}
);